Subject: Re: [PATCH v2] i2c: cadence: try reset when master receive arbitration lost

From: Wolfram Sang <[email-masked]>
Date: Sat, 9 Mar 2019 10:49:04 +0100

On Sat, Mar 09, 2019 at 10:44:52AM +0100, Wolfram Sang wrote:
> On Sat, Feb 23, 2019 at 10:48:43AM +0100, Wolfram Sang wrote:
> > On Tue, Feb 19, 2019 at 09:24:47AM +0800, Shikai Wang wrote:
> > > When the adapter receive arbitration lost error interrupts,
> > > cdns_i2c_master_xfer return to the caller directly instead of resetting
> > > the adapter which resulted in the adapter being out of control.
> > > 
> > > So when driver detect err_status such as arbitration lost,
> > > then try to repair and fix it.
> > 
> > Just checking because resetting looks like a big hammer to me: there is
> > no way to gracefully recover form 'arbitration lost' interrupt?
> 
> I am still wondering about this but since it is acked by the maintainer:
> 
> Applied to for-current, thanks!

Oops, I was mixing this up with

[PATCHv4] i2c: cadence: Fix the driver in interrupt flurry case

This one doesn't have an ack from Michal. Dropping it again.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel